import { csv } from 'd3';
import { pieChart } from './pieChart';

const csvUrl =
  'https://gist.githubusercontent.com/numioguri/553a6bfcfaea23413c43215046c06be0/raw/3687ca178530fb66f6248a3163792e5685c53002/.csv';

// Function to parse each row of the CSV data
const parseRow = (d) => {
  // Convert numeric fields to numbers
  d.total_vaccinations = +d.total_vaccinations;
  return d;
};

// Main function to load data and create pie chart
const main = async () => {
  // Load data from the CSV file and parse it
  const data = await csv(csvUrl, parseRow);

  // Process your data here to prepare it for the pie chart
  // For example, you might aggregate total vaccinations by country

  // Define your pie chart dimensions, values, etc.
  const pieChartData = [
    { label: 'Label1', value: 100 },
    { label: 'Label2', value: 200 },
    // Add more data points as needed
  ];

  const width = 600;
  const height = 400;
  const radius = Math.min(width, height) / 2;

  const colorScheme = ['#f00', '#0f0', '#00f']; // Example color scheme

  // Create the pie chart using the pieChart function
  const pieChartInstance = pieChart()
    .width(width)
    .height(height)
    .radius(radius)
    .colorScheme(colorScheme);

  // Select the container element to render the pie chart
  const container = document.getElementById(
    'pie-chart-container',
  );

  // Render the pie chart inside the container
  pieChartInstance(container, pieChartData);
};

main();
